# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global enable_tests 1

%global barename recast

%global commit0 6b9cbe8d90efb1d1201e4b0a51ee031469508769
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global owner benjamn

Name:               nodejs-recast
Version:            0.10.39
Release:            5%{?dist}
Summary:            JavaScript syntax tree transformer

License:            MIT
URL:                https://www.npmjs.org/package/recast
Source0:            https://github.com/%{owner}/%{barename}/archive/%{commit0}.tar.gz#/%{barename}-%{shortcommit0}.tar.gz
BuildArch:          noarch
%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6

BuildRequires:      npm(source-map)
BuildRequires:      npm(ast-types)
BuildRequires:      npm(esprima-fb)
BuildRequires:      npm(private)
BuildRequires:      npm(cls)

%if 0%{?enable_tests}
BuildRequires:      npm(mocha)
%endif


%description
JavaScript syntax tree transformer, conservative pretty-printer, and automatic
source map generator

%prep
%setup -qn %{barename}-%{commit0}

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret
%nodejs_fixdep ast-types ~0.x
%nodejs_fixdep source-map ~0.x
%nodejs_fixdep esprima-fb ~15001.x


%build
#%%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/recast
cp -pr package.json main.js lib \
    %{buildroot}%{nodejs_sitelib}/recast

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
# two tests fail RHBZ#1283994
mocha --reporter spec -i -t 30000 -g 'lines GuessTabWidth|source maps should generate correct mappings'
%endif


%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/recast/

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.39-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.39-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.39-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan 29 2016 Tom Hughes <tom@compton.nu> - 0.10.39-2
- Increase test timeout

* Fri Nov 20 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.10.39-1
- Update to 0.10.39

* Sat Jul 25 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.10.1-3
- fix deps ast-types, source-map, esprima-fb

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Feb 26 2015 Ralph Bean <rbean@redhat.com> - 0.10.1-1
- new version

* Sat Feb 21 2015 Ralph Bean <rbean@redhat.com> - 0.10.0-1
- new version

* Tue Jul 22 2014 Ralph Bean <rbean@redhat.com> - 0.6.3-1
- Initial packaging for Fedora.
